Bug 621887 - warnings module + pygtk crash the python interpreter
warnings module + pygtk crash the python interpreter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PyCObject 623852 623867
  Show dependency treegraph
 
Reported: 2010-08-06 07:58 EDT by Michal Schmidt
Modified: 2012-08-16 17:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:20:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 623965 None None None Never

  None (edit)
Description Michal Schmidt 2010-08-06 07:58:31 EDT
Description of problem:

Gajim crashes on startup in F-14. A minimal reproducer points to a bug either in pygtk2, gtk2, or python:

$ python
Python 2.7 (r27:82500, Jul 26 2010, 18:19:48) 
[GCC 4.5.0 20100716 (Red Hat 4.5.0-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import warnings
>>> warnings.filterwarnings('error', module='gtk')
>>> import gtk
python: /builddir/build/BUILD/Python-2.7/Objects/dictobject.c:759: PyDict_SetItem: Assertion `value' failed.
Aborted (core dumped)

Version-Release number of selected component (if applicable):
pygtk2-2.17.0-7.fc14.x86_64
gtk2-2.21.5-2.fc14.x86_64
python-2.7-7.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. execute the 3 lines in python
  
Actual results:
assertion failure

Expected results:
no crash
Comment 1 Michal Schmidt 2010-08-09 05:35:05 EDT
Added dmalcolm to CC.
David, could this be a bug in the warnings module itself?
Comment 2 Dave Malcolm 2010-08-09 10:52:02 EDT
This is a bug in pygtk2's initialization - it uses the deprecated PyCObject API.  See bug 620216 and bug 620842.
Comment 3 Dave Malcolm 2010-08-12 11:31:30 EDT
Upstream bug report: https://bugzilla.gnome.org/show_bug.cgi?id=623965
Comment 4 Fedora End Of Life 2012-08-16 17:20:07 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.